Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface VersionAmountLimitTable

    public interface VersionAmountLimitTable

Interface `VersionAmountTable` contains version amount records in the report server.

Method Summary
`void` | `commit()` Commits changes into the disk.
`void` | `disableVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user)` Disables maximum version amount using the catalog and the report.
`int` | `getVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user)` Gets maximum version amount using the catalog and the report.
`void` | `setVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user, int amount)` Sets maximum version amount using the catalog and the report.

Method Detail

### getVersionAmount

    int getVersionAmount(java.lang.String catalog,
                         java.lang.String report,
                         java.lang.String user)
                         throws RptServerException

  Gets maximum version amount using the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
  Returns:
    maximum version amount of the report.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### setVersionAmount

    void setVersionAmount(java.lang.String catalog,
                          java.lang.String report,
                          java.lang.String user,
                          int amount)
                          throws RptServerException

  Sets maximum version amount using the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `user` - the user id, for example, admin
    `amount` - the maximum version amount of the report.
  Throws:
    `RptServerException` - if an RptServerException occurs.

### disableVersionAmount

    void disableVersionAmount(java.lang.String catalog,
                              java.lang.String report,
                              java.lang.String user)
                              throws RptServerException

  Disables maximum version amount using the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `user` - the user id, for example, admin
  Throws:
    `RptServerException` - if an RptServerException occurs.

### commit

    void commit()
                throws RptServerException

  Commits changes into the disk.

  Throws:
    `RptServerException` - if an RptServerException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD